% Create a Laser Range Finder Structure
LRF.StartAngle  = -0.8*pi;
LRF.dAngle      = 0.01*pi;
LRF.EndAngle    = 0.8*pi;
LRF.Draw        = true; % for debugging purposes
LRF.noise       = 1.0;
LRF.LaserRange  = 200.0;
LRF.ProbOutlier = 0.05;  % Probabilit d'avoir une mesure alatoire (non-simul pour l'instant)

Pose = [100, 100, 0];

warning('Does not work for large noise value because your sensor model is wrong. You should update like 3 3 3 2 0 -1 -5 -20 -5 -1');

Carte = 'world2.png';
TmpCarte = imread(Carte);

global MyGridMap;
MyGridMap = zeros(size(TmpCarte,1),size(TmpCarte,2));

% Creation d'une fonction anonyme pour grid mapping et stockage de donnees.
tmpGridMapping = @(pose, scan) (GridMapping2(pose,scan,LRF));

RobotSimulator(Pose, LRF, Carte, tmpGridMapping);
